use lib shift();  # give include precedence to code directory, perl -I would not work!
use MainLib::FileTmp;

&DoAll();
exit;

sub DoAll {
  my $pTmp = MainLib::FileTmp->new();
  my $dirtmp = $pTmp->Create();
  system "mkdir $dirtmp 2>&1";
  system "touch $dirtmp/a";
}
